Bug 221940 - automatic subtag search while tagging [patch]
Summary: automatic subtag search while tagging [patch]
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Tags-Engine (show other bugs)
Version: 1.1.0
Platform: Compiled Sources Unspecified
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-01-09 16:53 UTC by chrkde
Modified: 2013-01-06 12:56 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 3.0.0


Attachments
proposed patch against current SVN that fulfills the wish (5.98 KB, patch)
2010-01-09 16:55 UTC, chrkde
Details

Note You need to log in before you can comment on or make changes to this bug.
Description chrkde 2010-01-09 16:53:37 UTC
Version:            (using Devel)
Installed from:    Compiled sources

At the moment, when searching for tags in the first tag input box in the image description tab, only the topmost level of the tag hierarchy is searched. For example, assume that the following tags exist in the database (and of course many other tags):

/nature/stone
/nature/river
/people/peter

If you want to add the tag "peter", you have to enter "/people/peter" in the input box. Searching for "peter" is of course possible in the input box at the bottom of the tab, but you then need an additional click on the tag to apply it.
Imagine that hundreds of tags and several levels in the hierarchy are not too uncommon.

It would be great if you could simply enter "peter" in the first tag input box and then select the correct tag from a dropdown list. If the tag is not found, it is simply created. This also helps in not recreating the same tag several times at different places of the tag tree: Since the tag database is always searched when you create a new tag, you immediately see if the tag already exists.
Comment 1 chrkde 2010-01-09 16:55:56 UTC
Created attachment 39713 [details]
proposed patch against current SVN that fulfills the wish

This patch mostly accomplishes the stated tasks, the only problem is that it is only really compatible with the autocompletion setting "drop down menu".
Comment 2 Johannes Wienke 2010-01-09 22:08:51 UTC
thanks for the patch. We will have to see if it's worth adding this because for 1.2 release in two months a port of this code to qt4 model view concept is planned and already mostly implemented.
Comment 3 caulier.gilles 2011-12-16 13:03:31 UTC
chrkde,

Can you update your patch against git master repository ?

Thanks in advance

Gilles Caulier
Comment 4 Smit Mehta 2013-01-06 12:56:27 UTC
This is implemented as of digikam-3.0.0rc. Hence I am closing this bug.

Smit